package com.yem.em.bd.materialinventoryage.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.entity.datamodel.IDataModel;
import kd.bos.form.events.AfterDoOperationEventArgs;

/**
 * @Description: TODO
 * @Date: 2024/7/2 9:09
 * @Created: by ZZSLL
 */

public class materialInventoryAgeFormPlugin extends AbstractBillPlugIn {
    @Override
    public void afterDoOperation(AfterDoOperationEventArgs e) {
        super.afterDoOperation(e);
        String operateKey = e.getOperateKey();
        IDataModel model = this.getModel();
        if ("batchcreate".equals(operateKey)) {
            model.batchCreateNewEntryRow("yem_materialentry", 10);
        }
    }
}
